2011-06-20  Ping Cheng <pingc@wacom.com>
	* Add "-lc" to Makefile.am (Daniel Grafe)
	* Add "ignore first USB motion events" back. Otherwise cursor jumps when first in prox
	* Updated wacdump.php with input from Patrick Horgan and David Foley
	* Updated "Building wacom driver On RHEL 5" page by Sylvain Giasson
	* Label 0.9.0

2011-04-27  Ping Cheng <pingc@wacom.com>
	* Put wacom_ioctl back for OLED (Eduard Hasenleithner)
	* Fixed error path in wacom_probe (Alexander Strakh)
	* Updated wacomcfg.c for touch device (David Foley)
	* Some minor kernel updated
	* Label 0.8.9

2011-03-03  Ping Cheng <pingc@wacom.com>
	* Always retrieve (x,y) from the kernel the first time in prox for non-pad tool
	* Don't read data while driver loading/unloading to avoid a hotplugging race condition
	* Don't turn device off when getting read errors
	* Fixed a missing tool type for Cintiq in 2.6.16/wacom_wac.c
	* Label 0.8.8-11

2010-10-12  Ping Cheng <pingc@wacom.com>
	* Fixed a kernel bug for Cintiq 21UX2 pressure (Aristeu Rozanski <aris@redhat.com>)
	* Fixed a print format error in xidump.c (Aristeu Rozanski)
	* Label 0.8.8-10

2010-10-01  Ping Cheng <pingc@wacom.com>
	* Specify the tools supported by Intuos and CintiqV5 
	  series respectively in the kernel
	* Calibration-only wacomcpl has the options to display warnings or 
	  flashing the crosshairs in red when abnormal (x,y) is detected
	* Enable all tools for X server 1.4 and older and kernel 2.6.24 and older
	* Peter Hutterer's configure message update for newer Xorg
	* Label 0.8.8-9

2010-07-27  Ping Cheng <pingc@wacom.com>
	* Updated kernel driver for 2.6.23 and later
	* Label 0.8.8-8

2010-07-22  Ping Cheng <pingc@wacom.com>
	* Fixed a memory leakage in util/wacomcfg.c (Eldar Firing <eldarf@sf.net>)
	* Replaced usb_buffer_free with usb_free_coherent for 2.6.35 
		- by Diego Calleja <diegocg@gmail.com>
	* Removed a few unused routines in xf86Wacom.c
	* Label 0.8.8-7

2010-07-14  Ping Cheng <pingc@wacom.com>
	* Updated udev wacom rules
	* Updated web pages for new devices
	* Added call EVIOCGKEY back in wcmUSB.c
	* Label 0.8.8-6

2010-07-12  Ping Cheng <pingc@wacom.com>
	* Updated configure.in and src/Makefile.am to include xorg server 1.6.5
	* Updated wcmUSB.c to use default nbuttons and npadkeys since kernels 
	  older than 2.6.24 doesn't return proper keys from EVIOCGKEY
	* Added a new xsetwacom option, isDisplay, to report if the tablet is 
	  a display tablet or not 
	* Label 0.8.8-5

2010-06-29  Ping Cheng <pingc@wacom.com>
	* Updated configure.in and src/Makefile.am for XFree86 servers
	* Updated 2.6.16/wacom_wac.c for kernels older than 2.6.21
	* Added "\" to wacomcpl-exec to continue the partial lines
	* Label 0.8.8-4

2010-06-18  Ping Cheng <pingc@wacom.com>
	* Updated configure.in for older X servers
	* Updated 2.6.16/wacom_wac.c for Cintiq 21UX2
	* Label 0.8.8-3

2010-06-16  Ping Cheng <pingc@wacom.com>
	* Updated wacom_wac.c and wacom_wac.h for DTU-2231 and DTU-1631
	* Updated wacomcpl
	* Label 0.8.8-2

2010-06-11  Ping Cheng <pingc@wacom.com>
	* Fixed a few minor issues
	* Added DTU-2231 support
	* Added DTU-1631 support
	* Label 0.8.8-1

2010-06-07  Ping Cheng <pingc@wacom.com>
	* Fixed free toolarea issue
	* Moved "retrieving tools" from wcmCommon to wcmUSB, where it belongs
	* Initialize common->npadkeys before recounting the keys
	* Label 0.8.8

2010-06-02  Ping Cheng <pingc@wacom.com>
	* Added the xsetwacom manpage
		- by Peter Hutterer <peter.hutterer@redhat.com>
	* Free common, common->toollist, priv->tool, and toolarea
	* Added Application Defined functionality for buttons
	* Retrieve supported tools from the kernel if a tool is on 
	  the tablet when X server started
	* Label 0.8.7-2

2010-05-21  Ping Cheng <pingc@wacom.com>
	* Normalized the 6th valuator to 2048
	  this valuator reports absolute wheel or ArtPen rotation
	  they are normally considered as the tangential pressure
	* Updated wacomcpl for button options
	* Added support for Intuos4WL (USB ndpoint)E in the kernel
	* Added support for Intuos4WL in xdrv (both bluetooth and USB)
	* Label 0.8.7-1

2010-05-17  Ping Cheng <pingc@wacom.com>
	* Restructured supported kernesl
	* Removed kernels 2.6.9 to 2.6.15 support
	* Added support for Cintiq 21UX2
	* Label 0.8.7

2010-05-12  Ping Cheng <pingc@wacom.com>
	* Updated configure.in to disable wacom_drv and its utilities
	  and tell user to build wacom_drv from xf86-input-wacom for 
	  Xorg server 1.7 or later
	* Label 0.8.6-2
	  
2010-04-30  Ping Cheng <pingc@wacom.com>
	* Updated wacom_sys.c for system resume
	* Reset wcmTouchpadMode in xf86WcmSoftOutEvent
	* Added wcmCustomDebug.c for extra debug information
		- by Stefan Schimanski
	* Label 0.8.6-1

2010-04-09  Ping Cheng <pingc@wacom.com>
	* Updated calibration in wacomcpl (Stefan Schimanski)
	* Updated wacom_wac.c for 2.6.24+ 
		- by Dmitry Torokhov <dmitry.torokhov@gmail.com>
	* Updated pressure normalization
	* Updated ISDV4 data parsing routine
	* Updated wacom man page
	* Updated linuxwacom web pages
	* Label 0.8.6

2010-03-26  Ping Cheng <pingc@wacom.com>
	* Updated kernel driver for 2FGT and Bamboo touch
	* Added 2.6.30 path for kernels 2.6.30 and later
	* Normalized pressure sensitivity to 2048
	* Updated 2FGT gesture with Chris Bagwell's suggestion
	* Label 0.8.5-12

2010-03-10  Ping Cheng <pingc@wacom.com>
	* Add modifiers (right) to wcmAction.c
	* Fixed a copy/paste error in the license statement
	* Support kernel 2.6.33
	* Cleaned kernel drivers for 2FGT
	* Add HAL_CFLAGS to CFLAGS 
		- by Pedro Gimeno <pg-lwd391@personal.formauri.es>
	* Retrieve tablet_id early on in wcmValidateDevice
	* Call getRange for both touch and pad, whichever comes the first
		- by Chris Bagwell <chris@cnpbagwell.com>
	* Fixed a keystroke bug for non-core mode of older Xorgs
		- by Stefan Schimanski
	* Added wacom XRandR daemon to support RandR settting
		- by Takashi Iwai <tiwai@suse.de>
	* Label 0.8.5-11

2010-02-12  Ping Cheng <pingc@wacom.com>
	* Updated Bamboo series support in the kernel and X drivers
		- by Jason Childs <oblivian@users.sourceforge.net>
	* Support at least 7 buttons for each tool
		- by Alexia Death <alexiadeath@gmail.com>
	* Avoid lose of duplicated second finger data in wacom_wac
		- by Chris Bagwell <chris@cnpbagwell.com>
	* Label 0.8.5-10

2009-12-30  Ping Cheng <pingc@wacom.com>
	* Incorporated Ayuthia's Bamboo P&T patch -34
		- submitted by Favux <favux.is@gmail.com>
	* Fixed some kernel misplacement
	* Fixed a protocol4 mouse button click issue
	* Label 0.8.5-9

2009-12-22  Ping Cheng <pingc@wacom.com>
	* Added max and resolution for local tool
	* Use linuxwacom.fdi gathered from Ubuntu forum
		- modified by Kory Prince and cyberfish
		- submitted by Favux <favux.is@gmail.com>
	* Merged Nicholas Hirsch's Intuos4 OLED Support
		- Patch ID 2878608 at Tracker
	* Fixed tablet rotate bug reported by Favux
	* Label 0.8.5-8

2009-12-15  Ping Cheng <pingc@wacom.com>
	* Updated serial Tablet PCs support
	* Added 5 new Bamboo tablets support
		- kernel patch submitted by K Gingerich
		- xorg by Enrico Ros <enrico.ros@gmail.com>
	* Label 0.8.5-7

2009-12-08  Ping Cheng <pingc@wacom.com>
	* Merged src/2.6.28 into src/2.6.27 so we have less files to worry
	* Removed src/2.6.28
	* Updated src/2.6.27 to version 1.52 in the kernel tree
	* Support new serial Tablet PCs
	* Label 0.8.5-6

2009-11-30  Ping Cheng <pingc@wacom.com>
	* Fixed a kernel driver bug for E3
	* Updated serial ISDv4 support with newer protocol
	* Support suspend/resume for kernel 2.6.26 and later
	* Label 0.8.5-5

2009-11-13  Ping Cheng <pingc@wacom.com>
	* Allow multiple tools defined with one type
	* Label 0.8.5-4

2009-11-09  Ping Cheng <pingc@wacom.com>
	* Added right click, scroll, and zoom for two finger touch
	* Updated kernel driver
	* Validating tool by retriving device type from kernel driver
	* Fixed a bug in xsetwacom TWINVIEW option
	* Fixed a device id issue in xsetwacom TOOLID option
	* Label 0.8.5-2

2009-10-31  Ping Cheng <pingc@wacom.com>
	* Avoid duplicated devices
	* Validate tool type before adding it
	* Use struct input_id and struct input_absinfo in wcmUSB.c
		- for kernel cross version compatibility support
	* Support device names with white spaces in xsetwacom and wacomcpl 
		- for hot-plugged devices
	* Fine tuned configure.in (tested by Camille Moncelier)
	* Label 0.8.5-1

2009-10-19  Ping Cheng <pingc@wacom.com>
	* Added Cap+ (9F) touch support (Camille Moncelier)
	* Added TabletPC (E2 and E3) support
	* Merged Thomas Jaeger's xidump patch
	* Merged Peter Hutterer's remove kernel 2.4 support patch
	* Updated 10-linuxwacom.fdi for touch
	* Don't allow HAL add tools that were defined in xorg.conf again
	* Added calibration-only feature to wacomcpl (Oleg Gaier)
	* Fixed a package configuration issue for Xorgs 6.7 - 7.2 
	* Label 0.8.5

2009-10-07  Ping Cheng <pingc@wacom.com>
	* Fixed a minor TwinView bug in xsetwacom command
	* Fixed a serial number = 0 case in wcmUSB.c
	* Fixed a crash issue on Xserver 1.6 or later
	* Label 0.8.4-3

2009-09-16  Ping Cheng <pingc@wacom.com>
	* Fixed a mapping issue introduced by non-TwinView support
	* Label 0.8.4-2

2009-08-28  Ping Cheng <pingc@wacom.com>
	* Updated wacomcpl for Nvidia non-TwinView setting
	* Fixed ring event jump accrossing 0 and 71 points
	* Label 0.8.4-1

2009-07-30  Ping Cheng <pingc@wacom.com>
	* Support Nvidia non-TwinView setting
	* Updated webpages and man pages 
	* Fixed bug 2789354 for Graphire
	* Label 0.8.4

2009-06-28  Ping Cheng <pingc@wacom.com>
	* Added support for DFT720a
	* Fixed DFT720 and DTF521 product ID swapped issue in wacom_wac.c
	* Added ABS_Z out-prox event for the newer kernels
	* Support kernel 2.6.31
	* Label 0.8.3-6

2009-05-22  Ping Cheng <pingc@wacom.com>
	* Fixed a menu strip out-prox issue in wacom_wac.c (Sylvain Giasson)
	* Fixed a relative mode button issue for ExpressKeys
	* Updated --enable-quirk-tablet-rescale support
	* Split TOOLSEIAL from SERIAL for xsetwacom
	* Support boundary cases of "usbParse: Exceeded channel" (Stefan Schimanski)
	* Label 0.8.3-5

2009-05-01  Ping Cheng <pingc@wacom.com>
	* Updated web pages and docs
	* Fixed a tool index bug in wacom_wac.c (Sylvain Giasson)
	* Updated configure.in for Xorg earlier than 7.0
	* Label 0.8.3-4

2009-04-23  Ping Cheng <pingc@wacom.com>
	* Updated README
	* Updated GPL to version 2
	* Updated wacom_wac.c
	* Brought configure.in and inlcude files in-sync with Fedora 10/11
	* Fixed a few button and in-prox/out-prox issues
	* Label 0.8.3-3

2009-04-03  Ping Cheng <pingc@wacom.com>
	* Support kernels 2.6.28 and 2.6.29
	* Added 10-linuxwacom.fdi from Peter Hutterer
	* Updated install/uninstall and util/Makefile.am to support HAL
	* Patch 2653689 from Peter Hutterer
	* Label 0.8.3-2

2009-03-26  Ping Cheng <pingc@wacom.com>
	* Patch "Don't touch the button map" from Thomas Jaeger
	* Patch 2653696 from Matthew Garret
	* Patch 2653697 from Peter Hutterer
	* Removed kernels 2.4.x and 2.6.8 support
	* Updated TwinView and Xinerama mapping
	* Bug 2517856 fixed by Calvin Walton
	* Fixed bug 2578477 
	* Support Intuos4
	* Label 0.8.3

2009-01-19  Ping Cheng <pingc@wacom.com>
	* Patch to support Xorg server 1.6 from Alexia Death
	* Patch for "usbParse: Exceeded channel" workaround from Markus Gaugusch 
	* Fixed Bug #2499414
	* Label 0.8.2-2

2008-12-31  Ping Cheng <pingc@wacom.com>
	* Updated patch 1998051 for none KP buttons
	* Updated wcmUSB.c to ignore unparsed data
	* Updated wacom_wac.c with Bartosz' suggestion
	* Fixed bug 2432258
	* Support Xorg 1.6.0
	* Label 0.8.2-1

2008-12-01  Ping Cheng <pingc@wacom.com>
	* Added workaround for X Server 1.5 to send beep
	* Patch from Vicenç (vicencb@gmail.com)
	* Patch from Rene van Paassen (rene.vanpaassen@gmail.com)
	* web pages updated
	* Label 0.8.2

2008-10-23  Ping Cheng <pingc@wacom.com>
	* Fixed a configure.in bug (Bartosz Fabianowski)
	* Added kernel 2.6.27 support
	* Use BTN_TOOL_DOUBLETAP for USB Tablet PC touch event
	* Unified USB BTN_TOUCH event for mousedev before X server starts
	* Label 0.8.1-6

2008-10-08  Ping Cheng <pingc@wacom.com>
	* Updated configure.in for Xorg 1.5
	* USB Tablet PC 0x90, 0x93, 0x9A are supported
	* Merged Danny's xf86Config patch
	* Updated wacomcpl for touch w/o capacity
	* Label 0.8.1-5

2008-09-01  Ping Cheng <pingc@wacom.com>
	* Support Xorg 7.3 or newer in wacomcpl
	* Modified wacom_sys.c according to Bartosz Fabianowski's suggestion
	* Added a link to Bartosz Fabianowski's FreeBSD Wacom driver download page
	* Merged bug 2074297 fix (Mike Auty)
	* Fixed a few minor bugs
	* Label 0.8.1-4

2008-08-11  Ping Cheng <pingc@wacom.com>
	* Merged patch 1994583 (Craig Wiegert) for wacom_sys.c
	* Merged patch 2035856 (Trifon Trifonov) for Uninit on Xorg 7.3 and later
	* Modified configure.in for Danny's patch 
	* Added serial Tablet PC with capacitive touch
	* Label 0.8.1-3

2008-08-01  Ping Cheng <pingc@wacom.com>
	* Added kernel 2.6.26 support
	* Updated USB Tablet PC pressure data in kernel
	* Merged patches from Danny Kukawka for wacomcpl and xsetwacom
	* Merged patch 1998051 (Yuri Shchedov) for keystroke
	* Label 0.8.1-2

2008-07-21  Ping Cheng <pingc@wacom.com>
	* Updated USB and serial Tablet PC with touch support
	* Label 0.8.1-1

2008-07-08  Ping Cheng <pingc@wacom.com>
	* Merged USB Tablet PC patch 1949610 (Andrew Zappacky)
	* Label 0.8.1

2008-05-23  Ping Cheng <pingc@wacom.com>
	* Fixed an issue in configure.in (Ron and Magnus)
	* Fixed an issue in wcmISDV4.c
	* Label 0.8.0-3

2008-05-14  Ping Cheng <pingc@wacom.com>
	* Fixed rotation issue
	* Label 0.8.0-2

2008-05-09  Ping Cheng <pingc@wacom.com>
	* Updated xidump for Xserver 1.4 or later
	* Fixed no eraser calibration issue for LCD tablets
	* Fixed serial Tablet PC baudrate issue
	* Label 0.8.0-1

2008-04-25  Ping Cheng <pingc@wacom.com>
	* Updated wacom.4x
	* Update ~/.xsession from wacomcpl for KDE system
	* Added IsXExtensionKeyboard check for Xserver 1.4 or later in wacomcfg.c
	* Label 0.8.0
